> For the complete documentation index, see [llms.txt](https://docs.noto.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.noto.network/noto-api-docs/api-reference/endpoints/reverse-resolve.md).

# Reverse Resolve

This is an implementation of [Reverse DNS Lookup](https://en.wikipedia.org/wiki/Reverse_DNS_lookup), instead of using an IP address, \
you provide a Blockchain Wallet Address to find Web3 domains associated with the On-Chain Wallet Address provided.

### **Endpoint:** <mark style="color:blue;background-color:green;">`engine.noto.network/noto/api/v1/reverse-resolve`</mark>

### **Method:** <mark style="color:green;">`GET`</mark>

### **Parameters:**

<table><thead><tr><th width="156">Param name</th><th width="94">Type</th><th width="100">Required</th><th width="163">Addition Info</th><th>Example</th></tr></thead><tbody><tr><td>walletAddress</td><td>String</td><td>✅</td><td></td><td>0xab5801a7d398351b8be11c439e05c5b3259aec9b</td></tr><tr><td>network</td><td>String</td><td><em>optional</em></td><td><a href="/pages/PqmSBU34PbDs3EoGVNN5">Available Options</a></td><td><code>ETHEREUM</code></td></tr><tr><td>provider</td><td>String</td><td><em>optional</em></td><td><a href="/pages/kxFbE8O1mTaSKPhA40xQ">Available Options</a></td><td><code>FREENAME</code></td></tr></tbody></table>

## Return type: <mark style="color:orange;">**ARRAY of OBJECTs**</mark>

### **Request Example:**

{% code fullWidth="false" %}

```http
GET /reverse-resolve?walletAddress=0xab5801a7d398351b8be11c439e05c5b3259aec9b&network=ETHEREUM&provider=FREENAME
```

{% endcode %}

### **Response Example:**

```json
{
  "result": true,
  "data": [
    {
      "info": {
        "sld": "example",
        "tld": "tld",
        "lastUpdate": "2024-02-03T09:13:30.472Z",
        "CSAMValidation": false,
        "KYC": false,
        "tags": []
      },
      "records":{
        // if any records exist, will look like this example
        "redirect.WEBSITE.0": "https://freename.io",
        "profile.OWNER.fullname": "John Doe",
        "record.TXT.0": "https://ex.ample/",
        "record.A.0": "30.25.212.37"
        "token.ETH.0":"0x0000000000000000000000000000000000000000",
        ...
      },
      "domain": "alessandro.incredibledomain",
      "network": "POLYGON",
      "provider": "FREENAME",
      "ownerAddress": "0x673c4F104F425BEB439EdeEF2e22bDFCEdAD0Ac5",
      "score": 0,
      "spam": false
    },
    {
      ...
    }
  ]
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.noto.network/noto-api-docs/api-reference/endpoints/reverse-resolve.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
